指南:如何从Breezy升级到最新的Dapper

最新ubuntu/linux/开源新闻或者其它IT相关资讯
回复
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

指南:如何从Breezy升级到最新的Dapper

#1

帖子 oneleaf » 2006-05-30 16:26

上次由 oneleaf 在 2006-07-13 14:32,总共编辑 2 次。
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#2

帖子 Element » 2006-05-31 11:19

赞一个。
这次升级问题应该不会有了,上次升级都快哭了。
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
头像
guoshuang
帖子: 153
注册时间: 2006-03-29 11:54
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 guoshuang » 2006-05-31 18:31

结论:再次牺牲。不能进入 x-win,据说 dpkg-reconfigure xserver-xorg -f可以。但是没有x-win 一不显示中文,二没有浏览器(lynx没装,即便装了,使用也不方便)没法找资料,三只有一台电脑,反复启动到 xp 查资料再回来,痛苦死了...

因为是新手,很多提示信息和诊断报告不知所云。哪位老鸟也尝试一下 breeze -> dapper, 给点报告什么的。

1.一开始就报告大约意思为:镜像站点内容无效之类,是否要修改 sources.list 否,退出。是,报告 vim 不能装云云。我修改 sources.list 为 cn99 的 dapper 源。问题依旧。现在直接选择“安装更新”而不是上面的“升级”(到6.06 LTS),正在下载中...
上次由 guoshuang 在 2006-06-01 6:40,总共编辑 3 次。
shooter
帖子: 56
注册时间: 2005-04-13 21:04
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 shooter » 2006-05-31 18:43

Breezy升级报错:
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dis ... Sources.gz MD5 校验和不符
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dis ... ackages.gz MD5 校验和不符
Failed to fetch http://cn.archive.ubuntu.com/ubuntu/dis ... Sources.gz MD5 校验和不符

似乎是服务器的问题,应该不是我的问题~
Get busy living, or get busy dying.
头像
guoshuang
帖子: 153
注册时间: 2006-03-29 11:54
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 guoshuang » 2006-05-31 18:48

to shooter:

把你的源贴一下,我找不到你的那种 cn.archive.ubuntu.com...的源,前几天另一台电脑 dapper LTS 默认的源就是那个。谢谢
shooter
帖子: 56
注册时间: 2005-04-13 21:04
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 shooter » 2006-05-31 22:01

guoshuang 写了:to shooter:

把你的源贴一下,我找不到你的那种 cn.archive.ubuntu.com...的源,前几天另一台电脑 dapper LTS 默认的源就是那个。谢谢


breezy默认的源,我没改过,是不是需要改一下?

代码: 全选

#deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted


deb http://cn.archive.ubuntu.com/ubuntu breezy main restricted
deb-src http://cn.archive.ubuntu.com/ubuntu breezy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://cn.archive.ubuntu.com/ubuntu breezy-updates main restricted
deb-src http://cn.archive.ubuntu.com/ubuntu breezy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://cn.archive.ubuntu.com/ubuntu breezy universe
deb-src http://cn.archive.ubuntu.com/ubuntu breezy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://cn.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
deb-src http://cn.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu breezy-security main restricted
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

deb http://security.ubuntu.com/ubuntu breezy-security universe
deb-src http://security.ubuntu.com/ubuntu breezy-security universe



deb ftp://ftp.nerim.net/debian-marillat/ etch main
Get busy living, or get busy dying.
shooter
帖子: 56
注册时间: 2005-04-13 21:04
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 shooter » 2006-05-31 22:29

真是神奇,我什么都没改,晚上10点多的时候竟然可以升级了~大概刚才下午服务器在做改动吧~

6.1又试了一下,失败,一共需要下载1111个文件,往往最后5、6个文件发生403的错误,看来直接升级暂时不行~
尝试apt升级~
上次由 shooter 在 2006-06-01 21:55,总共编辑 1 次。
Get busy living, or get busy dying.
hackson.w
帖子: 22
注册时间: 2006-05-23 15:07
送出感谢: 0
接收感谢: 0

#8

帖子 hackson.w » 2006-06-01 11:16

guoshuang 写了:结论:再次牺牲。不能进入 x-win,据说 dpkg-reconfigure xserver-xorg -f可以。但是没有x-win 一不显示中文,二没有浏览器(lynx没装,即便装了,使用也不方便)没法找资料,三只有一台电脑,反复启动到 xp 查资料再回来,痛苦死了...

因为是新手,很多提示信息和诊断报告不知所云。哪位老鸟也尝试一下 breeze -> dapper, 给点报告什么的。

1.一开始就报告大约意思为:镜像站点内容无效之类,是否要修改 sources.list 否,退出。是,报告 vim 不能装云云。我修改 sources.list 为 cn99 的 dapper 源。问题依旧。现在直接选择“安装更新”而不是上面的“升级”(到6.06 LTS),正在下载中...


呵呵,我是从5.10的server模式安装后再升级的,然后再安装gnome,很顺利的。不过,我把原来5.10的源,全换成dapper了。呵呵,还是cn99好,安装gnome要978M,竟然30分钟不到就安装完毕了。巨牛的mirror!
狂客
帖子: 30
注册时间: 2006-01-05 11:02
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 狂客 » 2006-06-02 11:39

Invalid package information

After your package information was updated the essential package 'ubuntu-base' can not be found anymore. This indicates a serious error, please report this as a bug.

:shock:
狂客
帖子: 30
注册时间: 2006-01-05 11:02
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 狂客 » 2006-06-02 11:45

狂客 写了:Invalid package information

After your package information was updated the essential package 'ubuntu-base' can not be found anymore. This indicates a serious error, please report this as a bug.

:shock:
嗯, 把 ubuntu-base 装上了, 再升级, 又出现错误.

代码: 全选

A fatal error occured

Please report this as a bug and include the files /var/log/dist-upgrade.log and /var/log/dist-upgrade-apt.log in your report. The upgrade aborts now.
Your original sources.list was saved in /etc/apt/sources.list.distUpgrade.

Traceback (most recent call last):

  File "/tmp/tmp9U4Gax/dapper", line 28, in ?
    app.run()

  File "/tmp/tmp9U4Gax/DistUpgradeControler.py", line 511, in run
    self.dapperUpgrade()

  File "/tmp/tmp9U4Gax/DistUpgradeControler.py", line 490, in dapperUpgrade
    if not self.askDistUpgrade():

  File "/tmp/tmp9U4Gax/DistUpgradeControler.py", line 309, in askDistUpgrade
    if not self.cache.distUpgrade(self._view):

  File "/tmp/tmp9U4Gax/DistUpgradeCache.py", line 132, in distUpgrade
    if not self._installMetaPkgs(view):

  File "/tmp/tmp9U4Gax/DistUpgradeCache.py", line 228, in _installMetaPkgs
    self[key].markInstall()

  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 78, in __getitem__
    return self._dict[key]

KeyError: 'ubuntu-desktop'
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#11

帖子 oneleaf » 2006-06-02 12:02

没有安装 ubuntu-desktop 包
狂客
帖子: 30
注册时间: 2006-01-05 11:02
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 狂客 » 2006-06-02 12:11

oneleaf 写了:没有安装 ubuntu-desktop 包
汗, 又得把那堆不需要的东西装上?!
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#13

帖子 oneleaf » 2006-06-02 12:15

确信你有安装 ubuntu-desktop / kubuntu-desktop / edubuntu-desktop 其中的一个, 作为 apt 需要这个来执行升级成功。
狂客
帖子: 30
注册时间: 2006-01-05 11:02
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 狂客 » 2006-06-02 12:33

装好 ubuntu-desktop 了, 再来新问题.

代码: 全选

2006-06-02 12:29:08,029 DEBUG Marking 'ubuntu-desktop' for upgrade
2006-06-02 12:29:08,029 DEBUG Removing 'xchat' (ubuntu-desktop PostUpgradeRemove rule)
2006-06-02 12:29:08,034 DEBUG Removing 'xscreensaver' (ubuntu-desktop PostUpgradeRemove rule)
2006-06-02 12:29:08,035 DEBUG Purging 'xorg-common' (Distro PostUpgradePurge rule)
2006-06-02 12:29:08,055 DEBUG The package 'ubuntu-desktop' is marked for removal but it's in the removal blacklist
2006-06-02 12:29:14,454 ERROR Dist-upgrade failed: 'A essential package would have to be removed'
头像
oneleaf
论坛管理员
帖子: 10208
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 99 次

#15

帖子 oneleaf » 2006-06-02 13:10

再升级到最新的breezy试试?检查一下有没有破损的包,确信都没有问题。
回复

回到 “新闻和通知”